| Home | Libraries | People | FAQ | More

###### http::message::set (3 of 4 overloads)

(Inherited from `http::basic_fields`)

Set a field value, removing any other instances of that field.

###### Synopsis

    void
    set(
        string_view name,
        string_view value);

###### Description

First removes any values with matching field names, then inserts the new field value. The value can be an empty string.

###### Parameters

Name | Description
--- | ---
`name` | The field name. It is interpreted as a case-insensitive string.
`value` | The field value.

###### Exceptions

Type | Thrown On
--- | ---

`boost::system::system_error`

Thrown if an error occurs:

- If the size of `name` exceeds max_name_size, the error code will be error::header_field_name_too_large.
- If the size of `value` exceeds max_value_size, the error code will be error::header_field_value_too_large.